<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('siswa', function (Blueprint $table) {
            $table->bigIncrements('id'); // Bigint Primary Key
            $table->string('nis', 20);   // Nomor Induk Siswa
            $table->string('nama', 100); // Nama Siswa
            $table->string('kelas', 20); // Kelas Siswa
            $table->text('alamat');      // Alamat Lengkap
            $table->bigInteger('no_hp'); // Nomor HP
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('siswa');
    }
};
